SatisfactoryModLoader

click on the down arrow in the blue outlined box and choose which version of the game your want the mod to be in (EA or Exp)

[launcher](launcher)

There is only empty by me, a can not choose anything. See my Screenshots

And the mod launcher say the Whole time : SML: Select a Satisfactory Install
I can not select anything

Could you please post a screenshot of your epic games launcher library view?

Says is to large and i have no cloud sharing

Hope that is ok,first try

Your link has expired, please upload it to imgur or the like.

Imgur

Bump. I am having the exact same issue as Stefan.

I have a legitimate copy of the game. Just nothing comes up when clicking the arrow to select the game in the launcher.

Not sure if this will help. But there are some errors when going into the console to check error logs, I am not a programmer so I dont know what it may mean:

Uncaught (in promise) SyntaxError: Unexpected token in JSON at position 0
at JSON.parse ()
at C:\Users\Armand Stra…ctoryInstall.js:233
at Array.forEach ()
at getInstalls (C:\Users\Armand Stra…ctoryInstall.js:229)
at a.refreshSatisfactoryInstalls (renderer.js:34)
at a.created (renderer.js:34)
at K (renderer.js:1)
at Wt (renderer.js:1)
at a.t._init (renderer.js:1)
at new a (renderer.js:1)
renderer.js:1 TypeError: Cannot read property ‘mods’ of null
at a.isModVersionInstalled (renderer.js:34)
at fn (renderer.js:34)
at r (renderer.js:1)
at a.ut [as _t] (renderer.js:1)
at renderer.js:34
at a.mt [as _l] (renderer.js:1)
at a. (renderer.js:34)
at a.t._render (renderer.js:1)
at a.r (renderer.js:1)
at Do.get (renderer.js:1)
renderer.js:1 TypeError: Cannot read property ‘mods’ of null
at a.isModVersionInstalled (renderer.js:34)
at fn (renderer.js:34)
at r (renderer.js:1)
at a.ut [as _t] (renderer.js:1)
at renderer.js:34
at a.mt [as _l] (renderer.js:1)
at a. (renderer.js:34)
at a.t._render (renderer.js:1)
at a.r (renderer.js:1)
at Do.get (renderer.js:1)
J @ renderer.js:1

Also for the other people having the exact same error log as you (exact same, there is a similar one with different solution. both of them are fixed in the next version of SMLauncher)

Go to this path: C:\ProgramData\Epic\EpicGamesLauncher\Data\Manifests and look in each .item file. If it is empty, delete it.

1 Like

Ok, i try the tip of mircearoata and suddenly i can chose an option

my sml wont do annything installed and nothing else opens up just stays like that

I had the same problem and try the tip of mircearoata, two entry above you. Suddenly it works.

This issue is now fixed in SMLauncher >=1.0.2

game wont start and sml wont load mods still the same wont do annything

This post was flagged by the community and is temporarily hidden.

This post was flagged by the community and is temporarily hidden.